<!-- header -->
<app-side-modal-header>
  <!-- title -->
  <app-side-modal-title>
    CREATE NEW<br />
    ADMINISTRATOR
  </app-side-modal-title>
</app-side-modal-header>

<!-- content -->
<app-side-modal-content>
  <!-- steps -->
  <app-stepper (stepChange)="onStepChanged($event)" [step]="2" [steps]="2"></app-stepper>

  <!-- header -->
  <div class="app-label header">
    Set-up Access Permissions
  </div>

  <!-- scrollbar -->
  <app-custom-scrollbar>
    <!-- permissions -->
    <app-permissions [permissions]="permissions"></app-permissions>
  </app-custom-scrollbar>
</app-side-modal-content>

<app-side-modal-footer>
  <!-- spinner -->
  <app-spinner *ngIf="loading; else actions"></app-spinner>

  <!-- actions -->
  <ng-template #actions>
    <!-- next -->
    <button (click)="sendInvite()" appFlatButton theme="secondary">
      SEND INVITATION
    </button>

    <!-- cancel -->
    <button (click)="emitBackClick()" appInlineButton theme="secondary">
      BACK
    </button>
  </ng-template>
</app-side-modal-footer>
